## courier-authlib 0.72.4

=== debian/changelog ===
courier-authlib (0.72.4-3) unstable; urgency=medium

  * debian/rules:
    - Restore explicit appending of CPPFLAGS to the CFLAGS.  This shouldn't be
      needed, but without it blhc detects a missing D_FORTIFY_SOURCE=2.
    - Remove the redundant "DPKG_EXPORT_BUILDFLAGS = 1".

 -- Soren Stoutner <soren@debian.org>  Tue, 19 Aug 2025 17:01:53 -0700

courier-authlib (0.72.4-2) unstable; urgency=medium

  * Add debian/courier-authlib-pipe.docs and install README_authlib.html
    (closes: #386625).
  * debian/control:
    - Add an explicit build-depend on libcrypt-dev (closes: #1106923).
    - Remove obsolete Breaks/Replaces courier-authlib (<< 0.71.1-2~).
    - Remove obsolete "Rules-Requires-Root: no".
  * debian/courier-authlib.docs:  Install README_authlib.html.
  * debian/courier-authlib-sqlite.docs:  Install README.authsqlite.html.
  * debian/rules:  Remove explicit appending of CPPFLAGS to the CFLAGS (obsolete
    since debhelper >=9).

 -- Soren Stoutner <soren@debian.org>  Tue, 19 Aug 2025 15:48:51 -0700

courier-authlib (0.72.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:  Bump standards version to 4.7.2, no changes needed.
  * debian/copyright:  Update upstream copyright for new release.
  * debian/rules:  Remove the undefined "an-trap" macro from the man pages.

 -- Soren Stoutner <soren@debian.org>  Wed, 16 Apr 2025 14:42:59 -0700
