## courier-authlib 0.72.6

=== debian/changelog ===
courier-authlib (0.72.6-4) unstable; urgency=medium

  * Upload to unstable.

 -- Soren Stoutner <soren@debian.org>  Tue, 16 Dec 2025 12:41:06 -0700

courier-authlib (0.72.6-3) experimental; urgency=medium

  * Add debian/patches/fix-make-check-on-big-endian.patch.

 -- Soren Stoutner <soren@debian.org>  Tue, 09 Dec 2025 12:26:52 -0700

courier-authlib (0.72.6-2) experimental; urgency=medium

  * debian/control:  Make the following changes to Build-Depends:
    - Add autoconf-archive, which includes macros now used by some of the
      aclocal.m4.
    - Add a version constraint on libcourier-unicode-dev >= 2.4.0, which is
      required upstream for compatibility.
    - Make locales-all <!nocheck>, as it is only needed for the tests.

 -- Soren Stoutner <soren@debian.org>  Sat, 06 Dec 2025 14:41:01 -0700

courier-authlib (0.72.6-1) experimental; urgency=medium

  * New upstream release.
  * Add debian/courier-authdaemon.manpages, and move the man pages from
    courier-authdaemon.install there.
  * Add debian/courier-authlib.manpages, and move the man page from
    courier-authlib.install there.
  * Add debian/courier-authlib-dev.manpages, and move the man pages from
    courier-authlib-dev.install there.
  * Add debian/patches/fix-man-cannot-break-line.patch.
  * debian/patches/series:  Disable 0007-add-missing-include.patch, probably not
    needed.
  * debian/patches/Don-t-mangle-permissions-on-install-time-as-it-s-tak.patch:
    Refresh offsets.
  * debian/patches/Rip-AC_PROG_SYSCONFTOOL-macro-to-m4-directory.patch:  Refresh
    fuzz.
  * debian/patches/0009-cross.patch:  Refresh offsets.
  * debian/control:  Add Build-Depend on locales-all to fix a problem with the
    tests not having access to the ISO-8859-1 locale.
  * debian/copyright:  Update for new upstream release.
  * debian/courier-authlib-ldap.docs:  Stop shipping authldap.schema, dropped
    upstream.
  * debian/lrc.conf:  Update for new upstream release.
  * debian/rules:
    - Refactor build hardening commands.
    - Move override_dh_install to execute_after_dh_auto_install.
  * debian/watch:  Refactor from version 4 to version 5.

 -- Soren Stoutner <soren@debian.org>  Fri, 05 Dec 2025 13:55:14 -0700
