=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Soren Stoutner <soren@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               autoconf-archive,
                default-libmysqlclient-dev,
                expect,
-               libcourier-unicode-dev,
+               libcourier-unicode-dev (>= 2.4.0),
                libcrypt-dev,
                libgdbm-dev,
                libidn2-dev,
@@ -17,7 +18,8 @@
                libsqlite3-dev,
                libtool,
                pkgconf,
-               procps
+               procps,
+               locales-all <!nocheck>
 Homepage: https://www.courier-mta.org/
 Vcs-Git: https://salsa.debian.org/debian/courier-authlib.git
 Vcs-Browser: https://salsa.debian.org/debian/courier-authlib
