=== debian/rules ===
--- 
+++ 
@@ -3,24 +3,12 @@
 # Uncomment to enable verbose build.
 #DH_VERBOSE = 1
 
-# Enable all build hardening flags.
+# Enable the default build hardening flags.  <https://wiki.debian.org/HardeningWalkthrough>
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-# Export the DPKG default build flags.
-DPKG_EXPORT_BUILDFLAGS = 1
-
-# Include the default build flags.  <https://wiki.debian.org/Hardening#dpkg-buildflags>
-include /usr/share/dpkg/buildflags.mk
 
 # Append the CPPFLAGS to the standard CFLAGS variables.  <https://wiki.debian.org/Hardening#Notes_for_packages_using_CMake>
 # These shouldn't be required with debhelper >= 9, but without it blhc detects a missing D_FORTIFY_SOURCE=2.
 CFLAGS += $(CPPFLAGS)
-
-# The build captures $SHELL, but it needs to be hard-wired to "/bin/sh".  This is necessary for reproducible builds.
-export CONFIG_SHELL=/bin/sh
-
-# TODO, figure out if this is needed.
-include /usr/share/dpkg/default.mk
 
 # Build the package.
 %:
@@ -64,7 +52,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- PS=/bin/ps $(COMMON_CONFOPTS)
 
-override_dh_install:
+execute_after_dh_auto_install:
 	pod2man --center='Debian GNU/Linux Documentation' \
 		--release='Debian GNU/Linux '`cat /etc/debian_version` \
 		--section=8 debian/authenumerate.pod \
@@ -93,5 +81,5 @@
 
 	mv -v debian/tmp/etc/courier/authpgsqlrc.dist debian/tmp/etc/courier/authpgsqlrc
 
-	dh_install
-	dh_missing --fail-missing
+	#dh_install
+	#dh_missing --fail-missing
